weka.classifiers.trees.j48

## Class SplitCriterion

- java.lang.Object
- - weka.classifiers.trees.j48.SplitCriterion

- All Implemented Interfaces:
    java.io.Serializable, RevisionHandler
  Direct Known Subclasses:
    EntropyBasedSplitCrit

      public abstract class SplitCriterion
      extends java.lang.Object
      implements java.io.Serializable, RevisionHandler

  Abstract class for computing splitting criteria with respect to distributions of class values.
  Version:
    $Revision: 8034 $
  Author:
    Eibe Frank (eibe@cs.waikato.ac.nz)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplitCriterion()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `splitCritValue(Distribution bags)` Computes result of splitting criterion for given distribution.
    `double` | `splitCritValue(Distribution train, Distribution test)` Computes result of splitting criterion for given training and test distributions.
    `double` | `splitCritValue(Distribution train, Distribution test, Distribution defC)` Computes result of splitting criterion for given training and test distributions and given default distribution.
    `double` | `splitCritValue(Distribution train, Distribution test, int noClassesDefault)` Computes result of splitting criterion for given training and test distributions and given number of classes.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface weka.core.RevisionHandler

      `getRevision`

- - ### Constructor Detail

    - #### SplitCriterion

          public SplitCriterion()

  - ### Method Detail

    - #### splitCritValue

          public double splitCritValue(Distribution bags)

      Computes result of splitting criterion for given distribution.
      Returns:
        value of splitting criterion. 0 by default

    - #### splitCritValue

          public double splitCritValue(Distribution train,
                                       Distribution test)

      Computes result of splitting criterion for given training and test distributions.
      Returns:
        value of splitting criterion. 0 by default

    - #### splitCritValue

          public double splitCritValue(Distribution train,
                                       Distribution test,
                                       int noClassesDefault)

      Computes result of splitting criterion for given training and test distributions and given number of classes.
      Returns:
        value of splitting criterion. 0 by default

    - #### splitCritValue

          public double splitCritValue(Distribution train,
                                       Distribution test,
                                       Distribution defC)

      Computes result of splitting criterion for given training and test distributions and given default distribution.
      Returns:
        value of splitting criterion. 0 by default